Bug Hunting Session
Bug 93847 - Repaint problems with LibreOffice on Gtk3
Summary: Repaint problems with LibreOffice on Gtk3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-02 04:05 UTC by Keith Curtis
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
redraw problems in dialogs (303.30 KB, image/png)
2015-09-02 04:05 UTC, Keith Curtis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Curtis 2015-09-02 04:05:51 UTC
Created attachment 118323 [details]
redraw problems in dialogs

There are redraw problems with Gtk3 on my machine. I'll type text and nothing will show up till I minimize and maximize the window.

Some dialog boxes also have redraw issues with Gtk3. I'm including a screenshot.
Comment 1 Maxim Monastirsky 2015-09-02 20:07:46 UTC
Confirmed with today's master under Fedora 22.

Steps to reproduce:

1. Open Writer.
2. Open the sidebar.
3. Click on the drop-down part of the styles combobox.
4. Click again to close the list.
5. Now open Format->Character..., and try to switch between tabs.

I also found a downstream bug at https://bugzilla.suse.com/show_bug.cgi?id=941035#c0.
Comment 2 Maxim Monastirsky 2015-11-12 12:41:41 UTC
@Caolán: Any idea on this one?
Comment 3 Commit Notification 2015-11-12 14:09:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9dfd0129ce0b0e21e3f57488ff513794dbbaae5

Resolves: tdf#93847 gtk3: paint blocking is unnecessary and harmful

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2015-11-12 14:12:27 UTC
This also fixes the redraw problems of bug 95021
Comment 5 Caolán McNamara 2015-11-12 14:12:52 UTC
https://gerrit.libreoffice.org/#/c/19929/ for 5-0
Comment 6 Commit Notification 2015-11-12 22:27:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11d0bacd7441ee206163b62dce33fc28a25f99dc&h=libreoffice-5-0

Resolves: tdf#93847 gtk3: paint blocking is unnecessary and harmful

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.